Name: 		seahorse
Version: 	0.7.6
Release: 	2
Summary:	GNOME2 interface for gnupg

Group: 		User Interface/Desktops
License: 	GPL
URL:            http://seahorse.sourceforge.net/
Source: 	http://ftp.gnome.org/pub/GNOME/sources/seahorse/0.7/seahorse-0.7.6.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  eel2-devel
BuildRequires:  gedit-devel
BuildRequires:  gettext
BuildRequires:  gpgme-devel >= 1.0
BuildRequires:  libgnomeui-devel
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
Requires(post): desktop-file-utils
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(post): shared-mime-info
Requires(postun): desktop-file-utils
Requires(postun): scrollkeeper
Requires(postun): shared-mime-info

%description
Seahorse is a gnome2 interface for gnupg.
It uses gpgme as the backend.


%prep
%setup -q
sed -i "s/update-mime-database/#update-mime-database/g" plugins/nautilus/Makefile.in
sed -i "s/update-mime-database/#update-mime-database/g" plugins/nautilus/Makefile.am


%build
%configure --disable-schemas-install 
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang seahorse

rm -rf ${RPM_BUILD_ROOT}/var/scrollkeeper
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   	\
  --add-category X-Fedora                               \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/seahorse-pgp-encrypted.desktop

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --add-category X-Fedora                               \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/seahorse-pgp-signature.desktop

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --add-category GNOME                                  \
  --add-category Utility                                \
  --add-category X-Fedora                               \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/seahorse.desktop


find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 \
     --makefile-install-rule \
     %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
scrollkeeper-update -q ||:
update-mime-database %{_datadir}/mime/ > /dev/null
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%postun
/sbin/ldconfig
scrollkeeper-update -q ||:
update-mime-database %{_datadir}/mime/ > /dev/null
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/control-center-2.0/capplets/*.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/mime-info/seahorse.keys
%{_datadir}/mime-info/seahorse.mime
%{_datadir}/mime/packages/*
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/*
%{_libdir}/libseahorse-internal.so.0.0.0
%{_libdir}/bonobo/*.*
%{_libdir}/bonobo/servers/Seahorse_PGP_File_Listener.server
%{_libdir}/gedit-2/plugins/*
%{_sysconfdir}/gconf/schemas/*


%changelog
* Fri Feb 25 2005 Phillip Compton <pcompton[AT]proteinmedia.com> 0.7.6-2
- desktop entry fixes.

* Fri Feb 25 2005 Phillip Compton <pcompton[AT]proteinmedia.com> 0.7.6-1
- 0.7.6.

* Mon Nov 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.5
- BuildReq scrollkeeper.

* Wed Oct 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.4
- Uncommented .la removal.

* Sun Sep 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.3
- Grabbed new copy os source from upstream.
- Fixed path on Source0, to allow direct download.
- BuildReq desktop-file-utils.

* Sun Sep 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.2
- Fixed file permission on source tarball.
- Fixed Group.
- Removed aesthetic comments.
- Brought more in line with current spec template.

* Sun Aug 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.1
- Fedorification.
- Added path to Source0.
- Added URL.
- buildroot -> RPM_BUILD_ROOT.
- BuildReq libgnomeui-devel, eel2-devel, gpgme03-devel.
- BuildReq gettext.
- post Req GConf2.
- post/postun Req scrollkeeper.
- .la/.a removal.
- cosmetic changes.

* Fri May 02 2003 Matthew Hall <matt@ecsc.co.uk> 0.7.3-1
- 0.7.3 Release

* Wed Apr 23 2003 Matthew Hall <matt@ecsc.co.uk> 0.7.1-3
- Rebuilt against gpgme 0.3.15

* Sat Apr 12 2003 Matthew Hall <matt@ecsc.co.uk> 0.7.1-2
- RedHat 9 Rebuild

* Sun Jan 26 2003 Matthew Hall <matt@ecsc.co.uk>
- New Spec File

